# Interface AsyncIterableIterator<T, TReturn, TNext>

Describes a user-defined AsyncIterator that is also async iterable.

#### Type Parameters

- #### T

- #### TReturn = any

- #### TNext = any

#### Hierarchy

- AsyncIterator<T, TReturn, TNext>
  - AsyncIterableIterator

#####
Index

### Methods

[asyncIterator]
next
return?
throw?

## Methods

### [asyncIterator]

- [asyncIterator](): AsyncIterableIterator<T, TReturn, TNext>

- #### Returns AsyncIterableIterator<T, TReturn, TNext>

### next

- next(...__namedParameters): Promise<IteratorResult<T, TReturn>>

- #### Parameters

  - ##### `Rest` ...__namedParameters: [] | [TNext]

  #### Returns Promise<IteratorResult<T, TReturn>>

  Inherited from AsyncIterator.next

### `Optional` return

- return(value?): Promise<IteratorResult<T, TReturn>>

- #### Parameters

  - ##### `Optional` value: TReturn | PromiseLike<TReturn>

  #### Returns Promise<IteratorResult<T, TReturn>>

  Inherited from AsyncIterator.return

### `Optional` throw

- throw(e?): Promise<IteratorResult<T, TReturn>>

- #### Parameters

  - ##### `Optional` e: any

  #### Returns Promise<IteratorResult<T, TReturn>>

  Inherited from AsyncIterator.throw

Generated using TypeDoc